# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYPI_PN=${PN/-/.}
PYTHON_COMPAT=( pypy3 python3_{10..12} )

inherit distutils-r1 pypi

DESCRIPTION="Facilities for working with VCS repositories"
HOMEPAGE="
	https://github.com/jaraco/jaraco.vcs/
	https://pypi.org/project/jaraco.vcs/
"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~riscv ~s390 ~x86"

RDEPEND="
	dev-python/jaraco-classes[${PYTHON_USEDEP}]
	dev-python/jaraco-versioning[${PYTHON_USEDEP}]
	dev-python/more-itertools[${PYTHON_USEDEP}]
	dev-python/packaging[${PYTHON_USEDEP}]
	dev-python/python-dateutil[${PYTHON_USEDEP}]
"
BDEPEND="
	test? (
		dev-python/jaraco-path[${PYTHON_USEDEP}]
		dev-vcs/git
		!s390? ( !sparc? (
			dev-vcs/mercurial
		) )
	)
"

distutils_enable_tests pytest

EPYTEST_DESELECT=(
	# assumes running inside the git repo
	jaraco/vcs/__init__.py::jaraco.vcs
)
